<?php

$moduleName = " Initial Ledger Balance";
$createItemName = "Create" . $moduleName;

$breadcrumbMainName = $moduleName;
$breadcrumbCurrentName = " Create";

$breadcrumbMainIcon = "fas fa-balance-scale";
$breadcrumbCurrentIcon = "archive";

$ModelName = 'App\Transaction';
$ParentRouteName = 'initial_income_expense_head_balance';


$all = config('role_manage.InitialIncomeExpenseHeadBalance.All');
$create = config('role_manage.InitialIncomeExpenseHeadBalance.Create');
$delete = config('role_manage.InitialIncomeExpenseHeadBalance.Delete');
$edit = config('role_manage.InitialIncomeExpenseHeadBalance.Edit');
$pdf = config('role_manage.InitialIncomeExpenseHeadBalance.Pdf');
$permanently_delete = config('role_manage.InitialIncomeExpenseHeadBalance.PermanentlyDelete');
$restore = config('role_manage.InitialIncomeExpenseHeadBalance.Restore');
$show = config('role_manage.InitialIncomeExpenseHeadBalance.Show');
$trash_show = config('role_manage.InitialIncomeExpenseHeadBalance.TrashShow');


?>

<?php $__env->startSection('title'); ?>
    <?php echo e($moduleName); ?>-><?php echo e($createItemName); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('top-bar'); ?>
    <?php echo $__env->make('includes.top-bar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('left-sidebar'); ?>
    <?php echo $__env->make('includes.left-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <section class="content">
        <div class="container-fluid">
            <div class="block-header pull-left">
                <?php if($all==1): ?>
                    <a class="btn btn-sm btn-info waves-effect" href="<?php echo e(route($ParentRouteName)); ?>">All</a>
                <?php endif; ?>
            </div>

            <ol class="breadcrumb breadcrumb-col-cyan pull-right">
                <li><a href="<?php echo e(route('dashboard')); ?>"><i class="material-icons">home</i> Home</a></li>
                <li><a href="<?php echo e(route($ParentRouteName)); ?>"><i
                                class="<?php echo e($breadcrumbMainIcon); ?> "></i><?php echo e($breadcrumbMainName); ?></a>
                </li>
                <li class="active"><i
                            class="material-icons"><?php echo e($breadcrumbCurrentIcon); ?></i> <?php echo e($breadcrumbCurrentName); ?></li>
            </ol>

            <!-- Inline Layout | With Floating Label -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2 style="margin-bottom: 20px;">
                                <?php echo e($createItemName); ?>

                                <small>Put <?php echo e($moduleName); ?> Information</small>
                            </h2>

                            <div class="body">
                                <form class="form" id="form_validation" method="post"
                                      action="<?php echo e(route($ParentRouteName.'.store')); ?>">

                                    <?php echo e(csrf_field()); ?>

                                    <div class="row clearfix">

                                        <div class="col-lg-5 col-md-5 col-sm-5 col-xs-6">
                                            <div class="form-group form-float">
                                                <div class="form-line">
                                                    <select data-live-search="true" class="form-control  show-tick"
                                                            name="branch_id"
                                                            id="">
                                                        <option value="0">Select Branch Name</option>
                                                        <?php if(App\Branch::all()->count() >0 ): ?>

                                                            <?php $__currentLoopData = App\Branch::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch_id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option <?php if( $branch_id->id == old('branch_id' )): ?>
                                                                        selected
                                                                        <?php endif; ?> value="<?php echo e($branch_id->id); ?>"><?php echo e($branch_id->name); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-lg-7 col-md-7 col-sm-7 col-xs-6">
                                            <div class="form-group form-float">
                                                <div class="form-line">
                                                    <select data-live-search="true" class="form-control  show-tick"
                                                            name="income_expense_head_id"
                                                            id="">
                                                        <option value="0">Select Income/Expense Head Head</option>
                                                        <?php if(App\IncomeExpenseHead::all()->count() >0 ): ?>

                                                            <?php $__currentLoopData = App\IncomeExpenseHead::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $income_expense_head_id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option <?php if( $income_expense_head_id->id == old('income_expense_head_id' )): ?>
                                                                        selected
                                                                        <?php endif; ?> value="<?php echo e($income_expense_head_id->id); ?>"><?php echo e($income_expense_head_id->name); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-lg-5 col-md-5 col-sm-5 col-xs-6">
                                            <div class="form-group form-float">
                                                <div class="form-line">
                                                    <input value="<?php echo e(old('amount')); ?>" name="amount"
                                                           type="number"
                                                           class="form-control">
                                                    <label class="form-label">Amount</label>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-lg-7 col-md-7 col-sm-7 col-xs-6 field_area">
                                            <div class="form-group form-float">
                                                <div class="form-line " id="bs_datepicker_container1">
                                                    <input autocomplete="off" value="<?php echo e(old('voucher_date')); ?>"
                                                           name="voucher_date" type="text"
                                                           class="form-control"
                                                           placeholder="Please choose a voucher date...">

                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                            <div class="form-group form-float">
                                                <div class="form-line">
                                                    <textarea class="form-control"
                                                              name="particulars"><?php echo e(old('particulars')); ?></textarea>
                                                    <label class="form-label">Particulars</label>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                            <div class="form-line">
                                                <button type="submit" class="btn btn-primary m-t-15 waves-effect">
                                                    Create
                                                </button>
                                            </div>
                                        </div>

                                    </div>

                                </form>

                            </div>
                        </div>
                    </div>
                </div>
                <!-- #END# Inline Layout | With Floating Label -->
            </div>
        </div>
    </section>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('include-css'); ?>

    <!-- Colorpicker Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css')); ?>" rel="stylesheet"/>

    <!-- Dropzone Css -->
    <link href="<?php echo e(asset('asset/plugins/dropzone/dropzone.css')); ?>" rel="stylesheet">

    <!-- Multi Select Css -->
    <link href="<?php echo e(asset('asset/plugins/multi-select/css/multi-select.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Spinner Css -->
    <link href="<?php echo e(asset('asset/plugins/jquery-spinner/css/bootstrap-spinner.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Tagsinput Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Select Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-select/css/bootstrap-select.css')); ?>" rel="stylesheet"/>



    <!-- Bootstrap Material Datetime Picker Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css')); ?>"
          rel="stylesheet"/>

    <!-- Bootstrap DatePicker Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css')); ?>" rel="stylesheet"/>


    <!-- noUISlider Css -->
    <link href="<?php echo e(asset('asset/plugins/nouislider/nouislider.min.css')); ?>" rel="stylesheet"/>

    <!-- Sweet Alert Css -->
    <link href="<?php echo e(asset('asset/plugins/sweetalert/sweetalert.css')); ?>" rel="stylesheet"/>


<?php $__env->stopPush(); ?>

<?php $__env->startPush('include-js'); ?>


    <!-- Moment Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/momentjs/moment.js')); ?>"></script>

    <!-- Bootstrap Material Datetime Picker Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')); ?>"></script>

    <!-- Bootstrap Datepicker Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js')); ?>"></script>


    <!-- Sweet Alert Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/sweetalert/sweetalert.min.js')); ?>"></script>


    <!-- Autosize Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/autosize/autosize.js')); ?>"></script>

    <script src="<?php echo e(asset('asset/js/pages/forms/basic-form-elements.js')); ?>"></script>


    <script>

        <?php if(Session::has('success')): ?>
            toastr["success"]('<?php echo e(Session::get('success')); ?>');
        <?php endif; ?>

                <?php if(Session::has('error')): ?>
            toastr["error"]('<?php echo e(Session::get('error')); ?>');
        <?php endif; ?>



                <?php if($errors->any()): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            toastr["error"]('<?php echo e($error); ?>');
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>



        // Validation and calculation
        var UiController = (function () {

            var DOMString = {
                submit_form: 'form.form',

                branch_id: 'select[name=branch_id]',
                income_expense_head_id: 'select[name=income_expense_head_id]',

                amount: 'input[name=amount]',
                voucher_date: 'input[name=voucher_date]',

            };

            return {
                getDOMString: function () {
                    return DOMString;
                },
                getFields: function () {
                    return {
                        get_form: document.querySelector(DOMString.submit_form),
                        get_branch_id: document.querySelector(DOMString.branch_id),
                        get_income_expense_head_id: document.querySelector(DOMString.income_expense_head_id),
                        get_amount: document.querySelector(DOMString.amount),
                        get_voucher_date: document.querySelector(DOMString.voucher_date),

                    }
                },
                getInputsValue: function () {
                    var Fields = this.getFields();
                    return {

                        branch_id: Fields.get_branch_id.value == "" ? 0 : Fields.get_branch_id.value,
                        income_expense_head_id: Fields.get_income_expense_head_id.value == "" ? 0 : Fields.get_income_expense_head_id.value,
                        amount: Fields.get_amount.value == "" ? 0 : Fields.get_amount.value,
                        voucher_date: Fields.get_voucher_date.value == "" ? 0 : Fields.get_voucher_date.value,

                    }
                },

            }
        })();

        var MainController = (function (UICnt) {

            var DOMString = UICnt.getDOMString();
            var Fields = UICnt.getFields();

            var setUpEventListner = function () {

                Fields.get_form.addEventListener('submit', validation);

            };

            var validation = function (e) {
                var input_values, Fields;
                input_values = UICnt.getInputsValue();
                Fields = UICnt.getFields();




                if (input_values.voucher_date == 0) {
                    toastr["error"]('Set Voucher Date');
                    e.preventDefault();
                }

                if (input_values.amount == 0) {
                    toastr["error"]('Set Amount');
                    e.preventDefault();
                }

                if (input_values.income_expense_head_id == 0) {
                    toastr["error"]('Select Income Expense Head Name');
                    e.preventDefault();
                }

                if (input_values.branch_id == 0) {
                    toastr["error"]('Select Branch Name');
                    e.preventDefault();
                }




            };

            return {
                init: function () {
                    console.log("App Is running");
                    setUpEventListner();

                }
            }

        })(UiController);

        MainController.init();


    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>