<?php

$moduleName = " Journal Voucher";
$createItemName = "Create" . $moduleName;

$breadcrumbMainName = $moduleName;
$breadcrumbCurrentName = " All";

$breadcrumbMainIcon = "account_balance_wallet";
$breadcrumbCurrentIcon = "archive";

$ModelName = 'App\Transaction';
$ParentRouteName = 'jnl_voucher';

$voucher_type = 'JV';



$all = config('role_manage.JnlVoucher.All');
$create = config('role_manage.JnlVoucher.Create');
$delete = config('role_manage.JnlVoucher.Delete');
$edit = config('role_manage.JnlVoucher.Edit');
$pdf = config('role_manage.JnlVoucher.Pdf');
$permanently_delete = config('role_manage.JnlVoucher.PermanentlyDelete');
$restore = config('role_manage.JnlVoucher.Restore');
$show = config('role_manage.JnlVoucher.Show');
$trash_show = config('role_manage.JnlVoucher.TrashShow');

$transaction = new \App\Transaction();
?>


<?php $__env->startSection('title'); ?>
    <?php echo e($moduleName); ?> -> <?php echo e($breadcrumbCurrentName); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('top-bar'); ?>
    <?php echo $__env->make('includes.top-bar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('left-sidebar'); ?>
    <?php echo $__env->make('includes.left-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <section class="content">
        <div class="container-fluid">
            <div class="block-header pull-left">
                <a <?php if($create==0): ?>
                   class="dis-none"
                   <?php endif; ?> class="btn btn-sm btn-info waves-effect"
                   href="<?php echo e(route($ParentRouteName.'.create')); ?>">Create </a>

            </div>

            <ol class="breadcrumb breadcrumb-col-cyan pull-right">
                <li><a href="<?php echo e(route('dashboard')); ?>"><i class="material-icons">home</i> Home</a></li>
                <li><a href="<?php echo e(route($ParentRouteName)); ?>"><i
                                class="material-icons"><?php echo e($breadcrumbMainIcon); ?></i><?php echo e($breadcrumbMainName); ?></a></li>
                <li class="active"><i
                            class="material-icons"><?php echo e($breadcrumbCurrentIcon); ?></i><?php echo e($breadcrumbCurrentName); ?></li>
            </ol>

            <!-- Hover Rows -->
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

                    <div class="card">
                        <div class="header">
                            <a class="btn btn-xs btn-info waves-effect"
                               href="<?php echo e(route($ParentRouteName)); ?>">All(<?php echo e($ModelName::where('voucher_type',$voucher_type)
                                   ->count()); ?>)</a>


                            <a <?php if($trash_show==0): ?>
                               class="dis-none"
                               <?php endif; ?>  class="text-black btn btn-xs btn-danger waves-effect"
                               href="<?php echo e(route($ParentRouteName.'.trashed')); ?>">Trash(<?php echo e($ModelName::onlyTrashed()->where('voucher_type',$voucher_type)->count()); ?>

                                )</a>


                            <ul class="header-dropdown m-r--5">
                                <form class="search" action="<?php echo e(route($ParentRouteName.'.active.search')); ?>"
                                      method="get">
                                    <?php echo e(csrf_field()); ?>

                                    <input autofocus type="search" name="search" class="form-control input-sm "
                                           placeholder="Search"/>
                                </form>
                            </ul>
                        </div>
                        <form class="actionForm" action="<?php echo e(route($ParentRouteName.'.active.action')); ?>"
                              method="get">
                            <div class="row body">
                                <div class="margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <select class="form-control" name="apply_comand_top" id="">
                                                <option value="0">Select Action</option>
                                                <?php if($delete==1): ?>
                                                    <option value="3">Move To trash</option>
                                                <?php endif; ?>
                                                <?php if($permanently_delete==1): ?>
                                                    <option value="2">Permanently Delete</option>
                                                <?php endif; ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <input class="btn btn-sm btn-info waves-effect" type="submit"
                                               value="Apply"
                                               name="ApplyTop">
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-8 col-sm-8 col-xs-8">
                                    <div class="custom-paginate pull-right">
                                        <?php echo e($items->links()); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="body table-responsive">
                                <?php echo e(csrf_field()); ?>


                                <?php if(count($items) >0): ?>
                                    <table class="table table-hover table-bordered table-sm">
                                        <thead>
                                        <tr>
                                            <th class="checkbox_custom_style text-center">
                                                <input name="selectTop" type="checkbox" id="md_checkbox_p"
                                                       class="chk-col-cyan"/>
                                                <label for="md_checkbox_p"></label>
                                            </th>
                                            <th class="text-center">Voucher No</th>
                                            <th>Particulars</th>
                                            <th>Branch Name</th>
                                            <th>Date</th>
                                            <th>Head Of Account Name</th>

                                            <th>Dr ( <?php echo (config('settings.is_code') == 'code') ?
                                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                                                )
                                            </th>
                                            <th>Cr ( <?php echo (config('settings.is_code') == 'code') ?
                                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                                                )
                                            </th>


                                            <th>Options</th>
                                        </tr>
                                        </thead>
                                        <tbody>


                                        <?php $i = 1; ?>
                                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                            <tr>
                                                <th class="text-center">
                                                    <input name="items[id][]" value="<?php echo e($item->voucher_no); ?>"
                                                           type="checkbox" id="md_checkbox_<?php echo e($i); ?>"
                                                           class="chk-col-cyan selects "/>
                                                    <label for="md_checkbox_<?php echo e($i); ?>"></label>
                                                </th>
                                                <td class="text-center"><?php echo e(str_pad($item->voucher_no, 4, '0', STR_PAD_LEFT)); ?></td>
                                                <td><?php echo e($item->particulars); ?></td>
                                                <td><?php echo e(App\Transaction::find($item->id)->Branch->name); ?></td>
                                                <td><?php echo e(date(config('settings.date_format'), strtotime($item->voucher_date))); ?></td>
                                                <td> <?php echo e(App\Transaction::find($item->id)->IncomeExpenseHead->name); ?></td>

                                                <td><?php echo e($transaction->convert_money_format($item->dr)); ?></td>
                                                <td><?php echo e($transaction->convert_money_format($item->cr)); ?></td>

                                                <td class="tdTrashAction">
                                                    <a <?php if($edit==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?>
                                                       class="m-b-3 btn btn-xs btn-info waves-effect"
                                                       href="<?php echo e(route($ParentRouteName.'.edit',['id'=>$item->voucher_no])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Edit"><i
                                                                class="material-icons">mode_edit</i></a>
                                                    <a <?php if($show==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?> target="_blank"
                                                       data-target="#largeModal"
                                                       class="m-b-3 btn btn-xs btn-success waves-effect ajaxCall"
                                                       href="<?php echo e(route($ParentRouteName.'.show',['id'=>$item->voucher_no])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Preview"><i
                                                                class="material-icons">pageview</i></a>

                                                    <a <?php if($delete==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?>
                                                       class="m-b-3 btn btn-xs btn-danger waves-effect"
                                                       href="<?php echo e(route($ParentRouteName.'.destroy',['id'=>$item->voucher_no])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Trash"> <i
                                                                class="material-icons">delete</i></a>

                                                    <a <?php if($pdf==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?>
                                                       class="m-b-3 btn btn-xs btn-warning waves-effect"
                                                       href="<?php echo e(route($ParentRouteName.'.pdf',['id'=>$item->voucher_no])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="PDF Generator"> <i
                                                                class="material-icons">picture_as_pdf</i></a>


                                                </td>
                                            </tr>
                                        <?php $i++; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <thead>
                                        <tr>
                                            <th class="checkbox_custom_style text-center">
                                                <input name="selectBottom" type="checkbox" id="md_checkbox_footer"
                                                       class="chk-col-cyan"/>
                                                <label for="md_checkbox_footer"></label>
                                            </th>

                                            <th class="text-center">Voucher No</th>
                                            <th>Particulars</th>
                                            <th>Branch Name</th>
                                            <th>Date</th>
                                            <th>Head Of Account Name</th>
                                            <th>Dr ( <?php echo (config('settings.is_code') == 'code') ?
                                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                                                )
                                            </th>
                                            <th>Cr ( <?php echo (config('settings.is_code') == 'code') ?
                                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                                                )
                                            </th>
                                            <th>Options</th>
                                        </tr>
                                        </thead>

                                        </tbody>
                                    </table>
                                <?php else: ?>
                                    <div class="body table-responsive">
                                        <table class="table table-hover table-bordered">
                                            <thead>
                                            <tr>
                                                <th colspan="8" class="text-danger text-center">There Has No Data</th>
                                            </tr>
                                            </thead>
                                        </table>
                                    </div>
                                <?php endif; ?>

                            </div>
                            <div class="row body">
                                <div class="m-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <select class="form-control" name="apply_comand_bottom" id="">
                                                <option value="0">Select Action</option>
                                                <?php if($delete==1): ?>
                                                    <option value="3">Move To trash</option>
                                                <?php endif; ?>
                                                <?php if($permanently_delete==1): ?>
                                                    <option value="2">Permanently Delete</option>
                                                <?php endif; ?>

                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <input class="btn btn-sm btn-info waves-effect" type="submit"
                                               value="Apply"
                                               name="ApplyButtom">
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-8 col-sm-8 col-xs-8">
                                    <div class="custom-paginate pull-right">
                                        <?php echo e($items->links()); ?>

                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
            <!-- #END# Hover Rows -->
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('include-css'); ?>
    <!-- Wait Me Css -->
    <link href="<?php echo e(asset('asset/plugins/waitme/waitMe.css')); ?>" rel="stylesheet"/>

    <!-- Colorpicker Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css')); ?>" rel="stylesheet"/>

    <!-- Dropzone Css -->
    <link href="<?php echo e(asset('asset/plugins/dropzone/dropzone.css')); ?>" rel="stylesheet">

    <!-- Multi Select Css -->
    <link href="<?php echo e(asset('asset/plugins/multi-select/css/multi-select.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Spinner Css -->
    <link href="<?php echo e(asset('asset/plugins/jquery-spinner/css/bootstrap-spinner.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Tagsinput Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Select Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-select/css/bootstrap-select.css')); ?>" rel="stylesheet"/>


<?php $__env->stopPush(); ?>

<?php $__env->startPush('include-js'); ?>

    
    <script src="<?php echo e(asset('asset/plugins/autosize/autosize.js')); ?>"></script>

    <!-- Moment Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/momentjs/moment.js')); ?>"></script>

    <!-- Bootstrap Material Datetime Picker Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')); ?>"></script>

    <script src="<?php echo e(asset('asset/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js')); ?>"></script>

    <script src="<?php echo e(asset('asset/js/pages/forms/basic-form-elements.js')); ?>"></script>
    <!-- Autosize Plugin Js -->


    <script>
        <?php if(Session::has('success')): ?>
            toastr["success"]('<?php echo e(Session::get('success')); ?>');
        <?php endif; ?>

                <?php if(Session::has('error')): ?>
            toastr["error"]('<?php echo e(Session::get('error')); ?>');
        <?php endif; ?>

                <?php if($errors->any()): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            toastr["error"]('<?php echo e($error); ?>');
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>


    </script>

    
    <script src="<?php echo e(asset('asset/js/dataTable.js')); ?>"></script>
    <script>
        BaseController.init();
    </script>
<?php $__env->stopPush(); ?>




<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>